epp_DomainTransferRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.domain.epp_DomainTransferRsp class

### org.openrtk.idl.epp0705.domain

# Class epp_DomainTransferRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.domain.epp_DomainTransferRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainTransferRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent the domain transfer response from the EPP server. Note usually instantiated by the RTK user, but rather by EPPDomainTransfer and retrieved using that class' getResponseData() method. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/domain/epp_DomainTransferRsp.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPDomainTransfer`, `epp_DomainTransferReq`

  ## Field Summary
  `epp_Response` | `m_rsp` The common and generic response element.
  `epp_DomainTrnData` | `m_trn_data` The transfer data of the domain in the registry.

  ## Constructor Summary
  `epp_DomainTransferRsp()` Empty constructor
  `epp_DomainTransferRsp(epp_Response _m_rsp, String _m_name, epp_TransferStatusType _m_transfer_status, String _m_request_client_id, String _m_action_client_id, String _m_request_date, String _m_action_date, String _m_expiration_date)` Deprecated. Please use epp_DomainTransferRsp(epp_Response, epp_DomainTrnData) instead
  `epp_DomainTransferRsp(epp_Response _m_rsp, epp_DomainTrnData _m_trn_data)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getActionClientId()` Deprecated. Please use getTrnData() instead
  `String` | `getActionDate()` Deprecated. Please use getTrnData() instead
  `String` | `getExpirationDate()` Deprecated. Please use getTrnData() instead
  `String` | `getName()` Deprecated. Please use getTrnData() instead
  `String` | `getRequestClientId()` Deprecated. Please use getTrnData() instead
  `String` | `getRequestDate()` Deprecated. Please use getTrnData() instead
  `epp_Response` | `getRsp()` Accessor method for the common and generic response element.
  `epp_TransferStatusType` | `getTransferStatus()` Deprecated. Please use getTrnData() instead
  `epp_DomainTrnData` | `getTrnData()` Accessor method for the transfer data of the domain object in the registry
  `void` | `setActionClientId(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setActionDate(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setExpirationDate(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setName(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setRequestClientId(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setRequestDate(String value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setRsp(epp_Response value)` Accessor method for the common and generic response element.
  `void` | `setTransferStatus(epp_TransferStatusType value)` Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead
  `void` | `setTrnData(epp_DomainTrnData value)` Accessor method for the transfer data of the domain object in the registry
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_rsp

    public epp_Response m_rsp

> The common and generic response element.
> See Also:
>   `getRsp()`

### m_trn_data

    public epp_DomainTrnData m_trn_data

> The transfer data of the domain in the registry.
> See Also:
>   `setTrnData(epp_DomainTrnData)`, `getTrnData()`

## Constructor Details

### epp_DomainTransferRsp

    public epp_DomainTransferRsp()

> Empty constructor

### epp_DomainTransferRsp

    public epp_DomainTransferRsp(epp_Response _m_rsp,
                                 String _m_name,
                                 epp_TransferStatusType _m_transfer_status,
                                 String _m_request_client_id,
                                 String _m_action_client_id,
                                 String _m_request_date,
                                 String _m_action_date,
                                 String _m_expiration_date)

> Deprecated. Please use epp_DomainTransferRsp(epp_Response, epp_DomainTrnData) instead

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_name` - The name of the domain object in the registry
>   `_m_transfer_status` - The transfer status associated with the domain object
>   `_m_request_client_id` - The identifier of the client that requested the domain object transfer
>   `_m_action_client_id` - The identifier of the client that should act upon the domain transfer request
>   `_m_request_date` - The date that the domain transfer was requested
>   `_m_action_date` - The required or completed action date to the domain transfer request
>   `_m_expiration_date` - The expiration date of the domain object

### epp_DomainTransferRsp

    public epp_DomainTransferRsp(epp_Response _m_rsp,
                                 epp_DomainTrnData _m_trn_data)

> The constructor with initializing variables.
> Parameters:
>   `_m_rsp` - The common and generic response element
>   `_m_trn_data` - The transfer data for the domain object in the registry

## Method Details

### getActionClientId

    public String getActionClientId()

> Deprecated. Please use getTrnData() instead

> Accessor method for the identifier of the client that should act upon the domain transfer request
> Returns:
>   The domain action client id
> See Also:
>   `m_trn_data`

### getActionDate

    public String getActionDate()

> Deprecated. Please use getTrnData() instead

> Accessor method for the required or completed action date to the domain transfer request
> Returns:
>   The action date to the domain transfer request
> See Also:
>   `m_trn_data`

### getExpirationDate

    public String getExpirationDate()

> Deprecated. Please use getTrnData() instead

> Accessor method for the expiration date of the domain object
> Returns:
>   The domain expiration date
> See Also:
>   `m_trn_data`

### getName

    public String getName()

> Deprecated. Please use getTrnData() instead

> Accessor method for the name of the domain object in the registry
> Returns:
>   The domain name
> See Also:
>   `m_trn_data`

### getRequestClientId

    public String getRequestClientId()

> Deprecated. Please use getTrnData() instead

> Accessor method for the identifier of the client that requested the domain object transfer
> Returns:
>   The domain request client id
> See Also:
>   `m_trn_data`

### getRequestDate

    public String getRequestDate()

> Deprecated. Please use getTrnData() instead

> Accessor method for the date that the domain transfer was requested
> Returns:
>   The domain transfer request date
> See Also:
>   `m_trn_data`

### getRsp

    public epp_Response getRsp()

> Accessor method for the common and generic response element.
> Returns:
>   The value for the response element
> See Also:
>   `m_rsp`

### getTransferStatus

    public epp_TransferStatusType getTransferStatus()

> Deprecated. Please use getTrnData() instead

> Accessor method for the transfer status associated with the domain object
> Returns:
>   The domain transfer status
> See Also:
>   `m_trn_data`

### getTrnData

    public epp_DomainTrnData getTrnData()

> Accessor method for the transfer data of the domain object in the registry
> Returns:
>   The domain's transfer data
> See Also:
>   `m_trn_data`

### setActionClientId

    public void setActionClientId(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the identifier of the client that should act upon the domain transfer request
> Parameters:
>   `value` - The domain action client id
> See Also:
>   `m_trn_data`

### setActionDate

    public void setActionDate(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the required or completed action date to the domain transfer request
> Parameters:
>   `value` - The action date to the domain transfer request
> See Also:
>   `m_trn_data`

### setExpirationDate

    public void setExpirationDate(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the expiration date of the domain object
> Parameters:
>   `value` - The domain expiration date
> See Also:
>   `m_trn_data`

### setName

    public void setName(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the name of the domain object in the registry
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_trn_data`

### setRequestClientId

    public void setRequestClientId(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the identifier of the client that requested the domain object transfer
> Parameters:
>   `value` - The domain request client id
> See Also:
>   `m_trn_data`

### setRequestDate

    public void setRequestDate(String value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the date that the domain transfer was requested
> Parameters:
>   `value` - The domain transfer request date
> See Also:
>   `m_trn_data`

### setRsp

    public void setRsp(epp_Response value)

> Accessor method for the common and generic response element.
> Parameters:
>   `value` - The new value for the response element
> See Also:
>   `m_rsp`

### setTransferStatus

    public void setTransferStatus(epp_TransferStatusType value)

> Deprecated. Please use setTrnData(org.openrtk.idl.epp0705.domain.epp_DomainTrnData) instead

> Accessor method for the transfer status associated with the domain object
> Parameters:
>   `value` - The domain transfer status
> See Also:
>   `m_trn_data`

### setTrnData

    public void setTrnData(epp_DomainTrnData value)

> Accessor method for the transfer data of the domain object in the registry
> Parameters:
>   `value` - The domain's transfer data
> See Also:
>   `m_trn_data`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS